Run of fresh-releases for libarcus

Merge these changes:

git pull https://janitor.debian.net/git/libarcus fresh-releases/main
git pull https://janitor.debian.net/git/libarcus fresh-releases/pristine-tar
git pull https://janitor.debian.net/git/libarcus fresh-releases/upstream

Summary

Merged new upstream version: 4.13.1 (was: 4.13.0).

Diff

Branch: main

diff --git a/debian/changelog b/debian/changelog
index bf09097..fd477bc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+libarcus (4.13.1-1) UNRELEASED; urgency=low
+
+  * New upstream release.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sat, 19 Mar 2022 04:09:02 -0000
+
 libarcus (4.13.0-2) unstable; urgency=medium
 
   * Depend on python3-pyqt5.
diff --git a/debian/patches/0003-Allow-overriding-the-Python-version-in-CMake.patch b/debian/patches/0003-Allow-overriding-the-Python-version-in-CMake.patch
index db5e741..07178ce 100644
--- a/debian/patches/0003-Allow-overriding-the-Python-version-in-CMake.patch
+++ b/debian/patches/0003-Allow-overriding-the-Python-version-in-CMake.patch
@@ -7,8 +7,10 @@ Subject: Allow overriding the Python version in CMake
  cmake/FindSIP.cmake | 2 +-
  2 files changed, 2 insertions(+), 2 deletions(-)
 
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
+Index: libarcus/CMakeLists.txt
+===================================================================
+--- libarcus.orig/CMakeLists.txt
++++ libarcus/CMakeLists.txt
 @@ -29,8 +29,8 @@ if(BUILD_PYTHON)
      if(${CMAKE_VERSION} VERSION_LESS 3.12)
          # FIXME: Use FindPython3 to find Python, new in CMake 3.12.
diff --git a/debian/patches/0004-python3-lib-directory.patch b/debian/patches/0004-python3-lib-directory.patch
index 33a7395..c40355a 100644
--- a/debian/patches/0004-python3-lib-directory.patch
+++ b/debian/patches/0004-python3-lib-directory.patch
@@ -1,6 +1,8 @@
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -34,7 +34,7 @@ if(BUILD_PYTHON)
+Index: libarcus/CMakeLists.txt
+===================================================================
+--- libarcus.orig/CMakeLists.txt
++++ libarcus/CMakeLists.txt
+@@ -42,7 +42,7 @@ if(BUILD_PYTHON)
          set(LIB_SUFFIX "")
      endif()
  
diff --git a/debian/patches/01-remove-rpath.patch b/debian/patches/01-remove-rpath.patch
index ddcdace..95ab731 100644
--- a/debian/patches/01-remove-rpath.patch
+++ b/debian/patches/01-remove-rpath.patch
@@ -2,11 +2,11 @@ Author: Gregor Riepl <onitake@gmail.com>
 Description: Remove RPATH from build flags.
   It's not needed on Linux and may cause maintenance problems.
   See: https://wiki.debian.org/RpathIssue
-Index: libArcus/CMakeLists.txt
+Index: libarcus/CMakeLists.txt
 ===================================================================
---- libArcus.orig/CMakeLists.txt	2019-09-09 20:32:51.028224672 +0200
-+++ libArcus/CMakeLists.txt	2019-09-09 20:32:54.800189719 +0200
-@@ -69,8 +69,6 @@
+--- libarcus.orig/CMakeLists.txt
++++ libarcus/CMakeLists.txt
+@@ -71,8 +71,6 @@ set(arcus_HDRS
  set(ARCUS_VERSION 1.1.0)
  set(ARCUS_SOVERSION 3)
  
diff --git a/debian/patches/02-add-python-version.patch b/debian/patches/02-add-python-version.patch
index a499e35..a7da159 100644
--- a/debian/patches/02-add-python-version.patch
+++ b/debian/patches/02-add-python-version.patch
@@ -4,11 +4,11 @@ Description: Install to correct site-packages dir, based on Python version.
   report a Python-specific site-packages folder.
   This is required, because SIP packages need to be compiled and installed
   for every Python version separately.
-Index: libArcus/CMakeLists.txt
+Index: libarcus/CMakeLists.txt
 ===================================================================
---- libArcus.orig/CMakeLists.txt	2019-09-09 20:48:29.000000000 +0200
-+++ libArcus/CMakeLists.txt	2019-09-09 20:51:16.525946103 +0200
-@@ -40,6 +40,8 @@
+--- libarcus.orig/CMakeLists.txt
++++ libarcus/CMakeLists.txt
+@@ -42,6 +42,8 @@ if(BUILD_PYTHON)
          set(LIB_SUFFIX "")
      endif()
  

Branch: pristine-tar

diff --git a/libarcus_4.13.1.orig.tar.gz.delta b/libarcus_4.13.1.orig.tar.gz.delta
new file mode 100644
index 0000000..809faea
Binary files /dev/null and b/libarcus_4.13.1.orig.tar.gz.delta differ
diff --git a/libarcus_4.13.1.orig.tar.gz.id b/libarcus_4.13.1.orig.tar.gz.id
new file mode 100644
index 0000000..955a92e
--- /dev/null
+++ b/libarcus_4.13.1.orig.tar.gz.id
@@ -0,0 +1 @@
+159b7eb2124972140306d07bbbb081963b20b0a5

Branch: upstream

Tag: upstream/4.13.1

Publish Blockers

  • ☑ run was successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☒ merge proposals for the package maintainer are currently being rate-limited (open: 1257, max open: 300)
  • ☑ change set 3e8150e3-a59a-4b12-8cb1-c71e73f57a31 is ready

Resulting package

The resulting binary packages can be installed (if you have the apt repository enabled) by running one of:

apt install -t fresh-releases libarcus-devapt install -t fresh-releases libarcus3-dbgsymapt install -t fresh-releases libarcus3apt install -t fresh-releases python3-arcus-dbgsymapt install -t fresh-releases python3-arcus

Lintian Result

Full worker log Full build log